Package org.apache.felix.http.base.internal.runtime.dto

## Class RuntimeDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.RuntimeDTOBuilder

    public final class RuntimeDTOBuilder
    extends Object

### Constructor Summary

Constructors
`RuntimeDTOBuilder​(RegistryRuntime registry, org.osgi.framework.dto.ServiceReferenceDTO srDTO)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.http.runtime.dto.RuntimeDTO` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeDTOBuilder

    public RuntimeDTOBuilder​(RegistryRuntime registry,
                             org.osgi.framework.dto.ServiceReferenceDTO srDTO)

### Method Detail

#### build

    public org.osgi.service.http.runtime.dto.RuntimeDTO build()